// -*- coding: utf-8 -*-
// Callisto Base
// JackDole
// 2016.07.31 16:09:40

/*
    Latitude    16 46 17.62  =  16.771561 
    Longitude   -55 41 19.04 =  -55.688622
    Dist to Center 2409.97
*/

//------------------------------------------------------------------------------
Remove "Callisto" {ParentBody "Jupiter"}
//------------------------------------------------------------------------------
Moon "Callisto/Jupiter IV"
{
    ParentBody     "Jupiter"
    Class          "IceWorld"
    
    Mass            0.01801155
    Radius          2410.3

    Color         ( 0.369 0.322 0.271 )
    Albedo          0.2
    Brightness      2.0

    Surface
    {
        // Surface map author: John van Vliet
        DiffMap        "Callisto/Surface-JVV"
        DiffTileSize    258
        DiffTileBorder  1
        DiffMapAlpha   "None"

        // Elevation map author: Vladimir Romanyuk "SpaceEngineer"
        BumpMap        "Callisto/Bump-fake-SE"
        BumpTileSize    258
        BumpTileBorder  1
        BumpHeight      4.0
        BumpOffset      2.0

        Hapke           1.0
    }

    Atmosphere
    {
        Height      36
        Pressure    2e-10
        Greenhouse  0
        Model      "Sun"
        Bright      0.4
        
        Composition
        {
            O2  96.25
            CO2 3.75
        }
    }
    
    Orbit
    {
        Epoch          2443000
        Period         0.04569301685
        SemiMajorAxis  0.01258689839
        Eccentricity   0.007
        Inclination    0.281
        AscendingNode  323.265
        LongOfPericen  335.933
        MeanLongitude  85.091
    }
}

//------------------------------------------------------------------------------
DwarfMoon "Callisto Base"
{
    ParentBody  "Jupiter IV"
    Class       "Asteroid"
    Radius      25.00
    Mass        1e-9
    
    RotationPeriod  1e12
    Oblateness      0.1
    Obliquity       73.228439
    EqAscendNode    124.311378
    
    Surface
    {
        //DiffMap         "CallistoBase/CallistoTopBlue.*"
        DiffMap         "CallistoBase/CallistoTop.*"
        BumpMap         "CallistoBase/CallistoTopBump.*"
        BumpHeight      1.0
        BumpOffset      0.5
        GlowMap         "CallistoBase/GlowLight.*"  
        GlowMode       "Night"
        GlowColor       (1.00 0.20 0.36)
        GlowBright      0.500 
        DiffMapAlpha    "Transp"
    }

    NoClouds        false
    
    Clouds
    {
        Height          -0.3
        DiffMap         "CallistoBase/CallistoTopBlue.*"
        DiffMapAlpha    "Transp"
        Velocity        0
    }
    
    NoOcean         true
    NoLava          true
    NoAtmosphere    true
    
    Atmosphere
    {
        Height      1
        Greenhouse  33
        Pressure    1.0
        Density     1.2929
        Adiabat     0.28
        Model      "Earth"
        Bright      10.0
        Opacity     1.0
        SkyLight    3.0
        
        Composition
        {
            N2  77.7729
            O2  20.8625
            Ar  0.9303
            H2O 0.4000
            CO2 0.0398
        }
    }
    
    NoAurora        true
    NoRings         true
    
    Rings
    {
        InnerRadius     39.2269
        OuterRadius     74.323
        RotationPeriod  1.18527e-006
        RotationOffset  0
        FrontBright     0.902043
        BackBright      0.5625
        Density         0.914781
        Brightness      1
    }

    NoAccretionDisk true
    NoCometTail     true
    NoLighting      true
    
    FixedPosPolar (124.311378 16.771561 2409.97)
}

//------------------------------------------------------------------------------
Asteroid "Terre Callisto"
{
    ParentBody  "Jupiter IV"
    Class       "Terra"
    Radius      24
    
    RotationPeriod  1e12
    Oblateness      0.9
    Obliquity       73.228439
    EqAscendNode    124.311378
    
    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }

    Surface
    {
        SurfStyle       -0.1
        OceanStyle      0.4250968
        Randomize      (0.220, -0.226, -0.529)
        colorDistMagn   0.3095238
        colorDistFreq   1340.84
        detailScale     23494.25
        colorConversion true
        drivenDarkening -1
        seaLevel        0.4761904
        snowLevel       0.9119138
        tropicLatitude  0
        icecapLatitude  1
        icecapHeight    0.4189782
        climatePole     0.9375
        climateTropic   0.328373
        climateEquator  0.6875
        heightTempGrad  0.609127
        tropicWidth     0.07
        mainFreq        0.3073118
        venusFreq       0.9119138
        venusMagn       0.5644947
        mareFreq        0.1930698
        mareDensity     0.06263722
        terraceProb     0.420586
        erosion         0.1062485
        montesMagn      0.5396826
        montesFreq      424.6032
        montesSpiky     0.7771899
        montesFraction  0.3492064
        dunesMagn       0.05665819
        dunesFreq       63.76908
        dunesFraction   0.7323368
        hillsMagn       0.2460317
        hillsFreq       873.6462
        hillsFraction   0.4920635
        hills2Fraction  0.1674087
        riversMagn      62.98298
        riversFreq      3.119091
        riversSin       6.301685
        riversOctaves   2
        canyonsMagn     0.1825397
        canyonsFreq     100
        canyonFraction  0.2523314
        cracksMagn      0.1335588
        cracksFreq      0.6154191
        cracksOctaves   1
        craterMagn      0.5360485
        craterFreq      15.04296
        craterDensity   0
        craterOctaves   0
        craterRayedFactor 0
        volcanoMagn     0
        volcanoFreq     0
        volcanoDensity  0.3015873
        volcanoOctaves  2
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   1.031746
        volcanoTemp     0
        lavaCoverTidal  0.2698413
        lavaCoverSun    0
        lavaCoverYoung  0.3809524
        twistZones      0
        twistMagn       0
        cycloneMagn     3.10535
        cycloneFreq     0.1759937
        cycloneDensity  0.007093439
        cycloneOctaves  0
        colorSea       (0.040, 0.100, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.460, 1.000)
        colorBeach     (0.690, 0.470, 0.320, 0.000)
        colorDesert    (0.610, 0.380, 0.270, 0.000)
        colorLowland   (0.102, 0.159, 0.071, 0.000)
        colorUpland    (0.091, 0.110, 0.041, 0.000)
        colorRock      (0.730, 0.550, 0.390, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 0.016)
        colorLowPlants (0.102, 0.159, 0.071, 0.000)
        colorUpPlants  (0.091, 0.110, 0.041, 0.000)
        BumpHeight      1.125
        BumpOffset      0.2549477
        DiffMapAlpha   "Water"
        SpecBrightWater 0.65
        SpecBrightIce   0
        SpecularPower   54.99999
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Ocean
    {
        Height          0.5357151
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
    }
    
    NoLava          true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    FixedPosPolar (124.311378 16.771561 2409.97)
}

//------------------------------------------------------------------------------
